Bug 651012 - cmsfscat crashes during install with CMSDASD on vdisk
Summary: cmsfscat crashes during install with CMSDASD on vdisk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 696149
TreeView+ depends on / blocked
 
Reported: 2010-11-08 16:24 UTC by Philip Rowlands
Modified: 2011-05-19 13:31 UTC (History)
4 users (show)

Fixed In Version: s390utils-1.8.2-30.el6.src.rpm
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 696149 (view as bug list)
Environment:
Last Closed: 2011-05-19 13:31:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC

Description Philip Rowlands 2010-11-08 16:24:44 UTC
What I did:

Creating some temporary DASD space to hold the temporary installation files (kernel, initrd, parm and cmsconffile), I defined a temporary disk in storage at the CMS prompt, as follows.

DEFINE VFB-512 AS FFFF BLK 140000
FORMAT FFFF Z

Then using tftp I transferred the files over the network, converting with fblock as appropriate. My parm file contains the following settings:

CMSDASD=ffff CMSCONFFILE=redhat.conf

The files were punched to the reader and IPL'd.


What happened:

With RHEL6beta2 I receive a verbose error as cmsfscat crashes

cmsfs_find_label(): FS blksize 4096 does not match device blksize 512
cmsfs_map_ADT(): directory RECFM '' not 'F'
cmsfs_vopen(): cmsfs_map_ADT() returned -1
*** glibc detected *** cmsfscat: double free or corruption (top): 0x0000000080009100 ***

(Testing with previous versions; with RHEL5.3 I receive a cryptic error message "open(): No such device or address. cannot open '/dev/dasda'", but this is due to lack of dasd_fba support in linuxrc.s390)



What I expected:

As per the RHEL Installation Guide I expected the CMSDASD and CMSCONFFILE parameters to allow the installer to proceed without user interaction.

If the block device or filesystem is not as cmsfscat expects, it should report an error and quit, rather than crash.

Comment 3 Dan Horák 2010-11-26 13:09:34 UTC
Philip, it seems that cmsfs tools can't work with devices where the block size differs between the device and the filesystem (as shown in the first message). So your format command should be

FORMAT FFFF Z (BLKSIZE 512)

The other thing is to make cmsfscat end gracefully with an error code instead of throwing a traceback.

Comment 8 errata-xmlrpc 2011-05-19 13:31:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.